Introduction

1 Введение

STEPS это многофункциональная программа для измерения частотной характеристики, искажений от амплитуды, линейности для электронных и электроакустических устройств. Дополнительный функционал включает в себя специфичные для громкоговорителей тесты, такие как пиковое смещение катушки (Xmax), искажения от амплитуды смещения и расчет на ограничение максимального уровня звукового давления SPL. Как полезный для конструктора динамиков, включен инструмент 'Low frequency box diffraction Scaling'.

STEPS использует гетеродинную ступенчатую синусоидальную технику. По сравнению с анализом Фурье использующим шумовое возбуждение, этот способ дает больший динамический диапазон (не менее 30 дБ), но измерения происходят намного медленнее. Эта программа также полезна для измерения гармонических искажений, поскольку она оценивает линейную часть отклика системы и величину искаженных синусоидальных гармоник.

1.1 Requirements (требования к системе)

1.2 Measurement Hardware Setup (Настройка измерительного оборудования)

1.3 Heterodyned Measurement of Sine Response (теория о гетеродинном измерении)


1.1 Requirements

Minimum requirements to use the program STEPS are:

  • Operating systems: Windows Vista / 7 / 8 / 10 / 11.
  • Processor class Pentium, clock frequency 1 GHz or higher, 2 GB for 32bit Windows or 4GB for 64bit Windows.
  • Full duplex soundcard with synchronous clock for AD and DA converters.
  • WDM or ASIO soundcard driver (ASIO is trademark and software of Steinberg Media Technologies GmbH).

The Installation of this software is easy; use ARTA software setup program or just copy the program "steps.exe" and the help file "steps.chm" in some folder and make a shortcut to it. All registry data will be automatically saved at the first program execution.

Files with extension ".HSW" are registered to be opened with the program STEPS. They contain the frequency response data. Results of measurements can also be saved as textual - ASCII formatted files.

STEPS does not output graphs to the printer, instead all graphs can be copied to the Windows Clipboard and pasted to other Windows applications.


1.2 Measurement Hardware Setup

1.2 Настройка измерительного оборудования

В этом документе мы будем ссылаться на две схемы измерения:

  1. Dual channel (предпочтительней для измерения частотной характеристики)
  2. Single channel (для измерения уровня)

Общая схема (Dual channel) измерения показана на Fig. 1.1. Левый выходной канал звуковой карты используется в качестве выхода генератора сигналов. Левый линейный вход используется для измерения выходного напряжения D.U.T. (тестируемого устройства), а правый для измерения входного напряжения D.U.T. В single channel схеме регистрируется только выходное напряжение D.U.T. Аналогичная схема для акустических измерений показана на figure 1.2.

Figure 1.1 Общая схема для измерения электроных систем

Figure 1.2 Схема для измерения акустических систем

Для защиты входа звуковой карты от высокого напряжения, которое может возникнуть на выходе усилителя мощности, рекомендуется использовать схему делителя напряжения с диодами Зенера, как показано на Fig. 1.3. Значения резисторов R1 и R2 должны быть выбраны для произвольного затухания (например, R1=8200 и R2=910 Ом дает затухание -20,7 дБ (0,0923), это если звуковая карта имеет обычное входное сопротивление - 10 кОм). В одно канальном режиме этот делитель не подключается.

Figure 1.3 Схема защиты от перегрузки входного канала звуковой карты усилителем.


1.3 Heterodyned Measurement of Sine Response

1.3 Гетеродинное измерение отклика на синусоидальный сигнал

Идея измерения заключается в следующем.

Мы предполагаем, что инвариантная во времени система возбуждается синусоидальным сигналом g(t) известной частоты, амплитуды и фазы. На выходе системы мы имеем зашумленный и искаженный сигнал

A1 - амплитуда базовой синусоиды, φ 1 - фаза базовой синусоиды, Ak - амплитуда k -й гармоники (искажение), n(t) - шум.

Мы хотим оценить амплитуду и фазу гармонических компонентов с минимальным влиянием шума. Мы можем добиться этого, используя гетеродинную технику; мы извлекаем k-й гармонический компонент из y(t) путем умножения y(t) на на комплексную форму входного сигнала, имеющего известную частоту ω;

Интегрируя это произведение за время T мы получим k-ю гармонику сигнала отфильтрованную гетеродинным фильтром с полосой пропускания равной 1/T. Эта процедура эквивалентна оценке гармонических составляющих с помощью разложения в ряд Фурье:

Примечание: умножение на j условно; так мы получаем правильную оценку фазы.

Такое решение работает только при отсутствии шума и если время интегрирования T кратно 1/ω. В этом случае, интегрируемый компонент other_harmonics будет равен нулю и мы сможем оценить амплитуду и фазу по выражениям:

При наличии шума мы получаем смещенную оценку, но это смещение будет очень малым, если мы применим большое время интегрирования, которое дает малую полосу пропускания внутри гетеродинного фильтра.

Для вычисления интегрального ряда Фурье мы можем использовать некоторые численные алгоритмы; простейший из которых дискретное преобразование Фурье. В дискретной области условие, что время интегрирования кратно периоду синуса не выполняется, и мы будем иметь "растекание" спектра. Обычный метод подавления растекания - применение оконной функции w (t) . В STEPS используется весовое окно Кайзера.

STEPS показывает искажения синусоидального сигнала, вызванного появлением гармоник, в виде процента искажений (%) или уровня искажений в дБ:

Dn (%) = 100 (An/A1) - процент n-го гармонического искажения

Dn (dB) = 20log(An/A1) - уровень искажений из за n-го гармонического компонента

STEPS определяет Total Harmonic Distortion (THD) = коэффициент нелинейных искажений, как:

THD (%) = 100 sqrt((A22+A32+...A122) /A12)

THD (dB) = 10log((A22+A32+...A122) /A12)

На Fig. 1.4 показана STEPS PC базируемая измерительная система. Компьютер генерирует сигнал g, после фильтрации D/A (в ЦАП) с передаточной функцией D, сигнал подается на тестируемую систему с передаточной функцией H. Обратите внимание H возможно нелинейная передаточная функция. Выходной сигнал (вместе с возможным шумом n) с тестируемого устройства, поступает в компьютер в виде дискретной последовательности y. Процесс преобразования в цифру подразумевает антиализинг фильтр в передаточной функции A (в АЦП).

Figure 1.4 Блок схема измерительной системы

Примечание: При акустических измерениях мы игнорируем шум во входном канале x, т.к. он намного меньше шума и искажений в выходном канале y.

В dual channel схеме входной сигнал для тестируемого устройства принимается компьютером как дискретная последовательность x . Выходной сигнал с тестируемого устройства как дискретная последовательность y. Тогда частотная характеристика тестируемого устройства D.U.T будет,

Magnitude(H) = Magnitude(Y) / Magnitude(X)

Phase(H) = Phase(Y) - Phase(X)

Этот режим называется frequency response mode или ratio mode.

В single channel схеме сигнал на входе тестируемой системы не измеряется, вместо него используется сигнал G из памяти компьютера. Желательно в расчетную частотную характеристику включить передаточные характеристики A/D и D/A фильтров;

Расчетная характеристика(H) = Magnitude(Y) = Magnitude(D,H,A,G)

Расчетная фаза(H) = Phase(Y) = Phase(D,H,A,G)

Для обеих схем измерения, временная зависимость между возбуждающим сигналом и анализируемым, представлена на Fig. 1.5.

Figure 1.5 Временная зависимость между возбуждающим и анализируемым сигналами

Пользователь должен определить несколько параметров для измерения:

  • range of frequencies диапазон частот для возбуждающего сигнала,
  • frequency increment приращение частоты между измерениями (в STEPS можно выбрать: 1/6, 1/12, 1/24 или 1/48 октавы)
  • I/O delay задержка (обычно задержка распространения от громкоговорителя до микрофона),
  • integration time f время на интегрирование в гетеродинной системе (типичные значения от 100 ms до 1 s),
  • transient time время на переходные процессы (при акустических измерениях, если мы хотим измерить влияние реверберации, рекомендуется выбирать не менее 1/5 времени реверберации),
  • duration of pause (intra-burst pause) длительность паузы между синусоидальными посылками (тоже не менее 1/5 времени реверберации)

Примечание: критерий насчет пауз не менее 1/5 времени реверберации, гарантирует погрешность по амплитуде не более 1 dB.

Процедура измерения следующая:

1. Начинаем измерения с синусоидального сигнала известной частоты

  • в single channel режиме записываем выходной сигнал системы,
  • в dual channel режиме записываем входной и выходной сигнал тестируемой системы.

2. Выделяем устойчивый участок после переходного (transient) процесса и задержки (I/O delay time). Рассчитываем амплитуду и фазу для отклика, и амплитуду гармонических искажений, используя преобразование Фурье.

3. Увеличиваем рабочую частоту, если частота находится в пределах определенного пользователем диапазона. Нужно выждать время внутри пакетной паузы (intra-burst pause time) и повторить шаг 1.

Для всех вышеперечисленных операций STEPS имеет соответствующий пользовательский интерфейс. Этот интерфейс будет описан в следующем разделе.


2 Using STEPS

2. Использование STEPS для тестирования ступенчатым синусоидальным сигналом

2.1 STEPS Menus (меню)
2.2 Audio Devices Setup (настройка аудио устройств)
2.3 Sound Card and Microphone Calibration (калибровка и компенсация)
2.4 Measurement Setup (настройка измерений)
2.5 Measurement Procedures (процедура измерения)
2.6 Overlays (наложение)
2.7 File manipulations (манипуляции с файлами)
2.8 Graph Setup (настройки графиков)
2.9 Log-log Percentage Distortion Plot (искажения в процентах)
2.10 The Time Record (осциллограмма)

Главное окно программы STEPS показано на Fig. 2.1. В верхней части окна находится строка меню и панель инструментов, а в нижней - строка состояния. В центральной части окна отображается график амплитудной характеристики либо фазы. Панель управления в правой части окна используется для настройки графика.

Figure 2.1 Главное окно программы

Figure 2.2 Значки панели инструментов

Figure 2.3 Строка состояния, отображает пиковый уровень (относительно полной шкалы) для левого и правого линейных входов

Figure 2.4 Правая диалоговая панель для настройки графика

Figure 2.5 Верхняя диалоговая панель

Изображения окон и графиков можно скопировать в буфер обмена Windows или сохранить в файл в одном из трех форматов: png, bmp или jpg. Рекомендуется использовать png.

Получить копию изображения всего окна довольно просто. Нужно нажать комбинацию клавиш Ctrl+P. После чего изображение окна будет скопировано в системный буфер обмена, откуда его можно вставить в другие приложения (MS Word, MS Paint). Нажатие Ctrl+Alt+P активирует команду сохранения этого изображения в файл.

Чтобы скопировать или сохранить изображение только графика, пользователю необходимо нажать комбинацию клавиш Ctrl+C или выбрать пункт меню 'Edit->Copy', либо нажать кнопку 'Copy' на панели инструментов.

Figure 2.6 Диалоговое окно 'Copy / Save Image with Extended Information',

Команда Copy открывает диалоговое окно 'Copy/Save Image with Extended Information', показанное на Figure 2.5. В нем возможно выбрать следующие опции:

1) Используя раскрывающийся список над кнопкой ‘OK’, выбрать куда копировать изображение: Copy to Clipboard, Save to File или Save to File + Copy to Clipboard.
2) В поле редактирования сверху, можно ввести текст, который будет добален в нижнюю часть графика
3) Установка флажка 'Add filename and date' позволяет добавить на изображение текст с именем файла, датой и временем.
4) Список ‘Aspect ratio’ позволяет выбрать соотношение сторон для графика 3:2 или 2:1.
5) Флажок 'Save text' позволяет сохранить введенный текст для следующей операции copy.

6) Размер изображения (Bitmap size) позволяет выбрать из раскрывающегося списка:

Current screen size - текущий размер (можно изменить ширину и высоту)
Smallest - фиксированный шириной в 500 точек
Small - фиксированный шириной в 600 точек
Medium - фиксированный шириной в 800 точек
Large - фиксированный шириной в 1000 точек
X Large - фиксированный шириной в 1200 точек
XX Large - фиксированный шириной в 1500 точек
XXX Large - фиксированный шириной в 2000 точек

Нажатие кнопки 'OK' копирует изображение в системный буфер обмена.
Нажатие кнопки 'Cancel' отменяет операцию.


2.1 STEPS Menus

Here is a brief explanation of STEPS menus:

File

New - creates a new file.

Open... - opens an existing file (*.HSW).

Save - saves the file with current name.

Save As... - saves the file under a new name.

Export ASCII - exports the file in a ASCII format:

Magnitude + Phase (commented .TXT) - text file with comment text and with rows containing frequency(Hz), magnitude (dB), phase (deg),

Magnitude + Phase (plain .FRD) - text file with rows containing frequency (Hz), magnitude (dB), phase (deg),

Magnitude + distortion (.TXT) - text file with rows containing frequency (Hz) and percentage distortions for THD, 2nd, 3rd and higher order harmonics,

Magnitude + Phase (commented .CSV) - CSV (Excel) file containing frequency(Hz), magnitude (dB), phase (deg),

Magnitude + distortion (.CSV) - CSV (Excel) file containing frequency (Hz) and percentage distortions for THD, 2nd, 3rd and higher order harmonics.

File Info - shows informations of currently opened file.

Recent File - opens a recently opened file.

Exit - exits program.

Overlay

Set as overlay - sets the current curve as an overlay.

Manage overlays - opens the 'Overlay Manager' dialog box for editing of the overlay's list.

Delete all - deletes all overlies.

Delete last - deletes last entered overlay overlies.

Load - loads an overlay from STEPS (.hsw) file.

Load impedance overlay - loads an impedance overlay from .zma or .lim file.

Delete impedance overlay – deletes loaded impedance overlays.

Edit

Undo - undoes last state.

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file.

Colors and grid style- sets graph colors and grid ploting style.

Use thick pen - sets pen style to draw thicker lines.

Smooth Magnitude - smoothes magnitude in band:

1/1 octave,

1/2 octave,

1/3 octave.

Scale level - scales the magnitude level.

LF box diffraction - scales frequency response with transfer function of LF loudspeaker box diffraction.

Cut below cursor - cuts plotted points below the cursor position.

Cut above cursor - cuts plotted points above the cursor position.

Apply FR compensation – applies current FR compensation to valid STEPS data.

View

Toolbar - shows or hides the toolbar.

Status Bar - shows or hides the status bar.

B/W Color - changes the background color to black or white.

Fit graph top - fits graph top margin to maximum magnitude .

Time Record - shows the time record of the last recorded signal.

Percentage distortion - shows window with log-log plot of percentage distortion.

Magnitude - shows the magnitude.

Phase - shows the phase.

Magnitude+Phase - shows the magnitude and the phase.

Magnitude+Distortion - shows the magnitude, 2nd and 3rd harmonic distortion.

Sound pressure units - sets the sound pressure unit if the microphone input is enabled to:

dB re 20 uPa/V,

dB re 20 uPa/2.83V,

dB re 1 Pa/V.

 Record

Run - starts recording (measurement).

Stop - stops recording (measurement).

Distortion vs. amplitude - opens dialog for stepped amplitude distortion testing.

Linearity function - opens dialog for stepped amplitude I/O linearity testing.

Distortion and displacement - opens dialog for stepped amplitude displacement measurement.

Loudspeaker distortion limited SPL - opens dialog for measurement of distortion limited SPL

Setup

Audio devices - sets current input and output devices.

Calibrate devices - calibrates the soundcard and the microphone.

FR compensation - gets dialog box for frequency response compensation.

Measurements - configures measurements.

Graph - sets graph margins.

CSV format - sets decimal separator character for CSV files.

Help

User Manual - shows the help file.

Registration - shows license registration info.

About... - gets information about the STEPS version.

Useful shortcuts keys are:

Up and Down keys - change the top graph margin.
Left and Right keys - move the cursor left and right.
Ctrl+S key - saves the file.
Ctrl+N key - makes a new file.
Ctrl+O key - opens the file.
Ctrl+C key - copies the graph bitmap and user defined text to the clipboard or saves that image to the file
Ctrl+P key - copies a whole window bitmap to the clipboard
Ctrl+Alt+P key - saves a whole window bitmap to the file
Ctrl+B key - changes background color.
Ctrl+A key - sets currently plotted curve as overlay.
Ctrl+M key - opens overlay manager window .


Настройка аудиоустройств

< ? >

2.2 Настройка аудио устройств

Перед началом каких либо измерений необходимо настроить оборудование, выбрав меню 'Setup->AudioDevices' или нажав значок на панели инструментов [image] . Появится диалоговое окно Audio Devices Setup показанное на Fig. 2.6.

Figure 2.6 Диалоговая панель Audio Devices Setup

Диалоговая панель 'Audio Device Setup' имеет следующие элементы управления:

В секции Sound Card:

Soundcard driver - выбирает тип драйвера звуковой карты (WDM – windows multimedia driver или один из установленных ASIO драйверов).

Input channels - входные каналы. Стерео пару для WDM, для ASIO может быть больше чем два канала.

Output Device - выходные каналы.

Обычно пользователь выбирает входные и выходные каналы одной и той же звуковой карты (что единственно возможно в режиме ASIO драйвера).

Кнопка Control panel – если выбран WDM драйвер, открывается панель управления звуком. Если выбран ASIO драйвер, откроется панель управления ASIO.

Wave format – выбирается разрядность оцифровки: 16-bit, 24-bit, 32-bit или Float. Float означает IEEE floating представление с плавающей точкой одинарной точности 32-bit. Рекомендуется использовать либо 24-bit либо 32-bit режим при использовании высококачественной звуковой карты (некоторые звуковые карты заявлены как 24-bit, но их реальное разрешение меньше 16-bits). Более предпочтительней все же тип Float. Эта настройка не имеет эффекта в режиме ASIO, где битовое разрешение должно быть установлено в панели управления ASIO.

В секции Input:

LineIn sensitivity - чувствительность линейного входа (т.е. пиковое напряжение в mV которое соответствует полному диапазону АЦП входа).

LR channel diff. - разница между уровнями чувствительности левого и правого входных каналов в dB.

Лучший способ получить эти значения - выполнить процедуру калибровки описанную в следующем разделе.

В секцииn Output:

LineOut sensitivity - напряжение на левом линейном выходе в mV при максимальном значении на ЦАП.

Power amplifier gain - коэффициент усиления усилителя мощности, если вы подключаете усилитель к линейному выходу (нужны результаты калибровки в одно канальном режиме). Иначе установите 1.

В секции External preamplier:

Left preamplifier gain - коэффициент усиления пред усилителя или некого датчика подключенного к левому входу. Если не знаете установите 1.

Right preamplifier gain - то же для правого входа.

В секции Microphone:

Microphone used - установите флажок если вы используете микрофон в своей системе измерения, и вы хотите чтобы график был масштабирован в dB относительно 20 μPa или 1 Pa. Также используйте выпадающий список, чтобы выбрать входной канал к которому подключен микрофон (чтобы не запутаться, рекомендуем выбирать левый канал).

Sensitivity - введите чувствительность микрофона в mV/Pa.

Все эти данные настройки, можно сохранять и загружать нажимая кнопки 'Save setup' и 'Load setup'. (Файлы с расширением '.cal').

Важное замечание: Пожалуйста, отключите прослушивание линейных и микрофонных входов в микшере звуковой карты. В противном случае вы можете получить положительно обратную связь во время измерения. Если вы используете профессиональную звуковую карту, отключите Direct monitoring.

2.2.1 WDM audio driver setup

Операционная система Windows (иногда, совместно с утилитами управления звуковых карт) отвечает за установку внутренней для карты, частоты дискретизации и разрешения в битах. Хотя внутри операционной системы все равно происходит преобразование в формат с плавающей точкой для повышения качества микширования. Поэтому для ARTA/STEPS и рекомендуется использовать разрешение ‘Float’.

Доступ к этим настройкам осуществляется через ‘Windows sound control panel’, которую можно вызвать из ‘Control Panel’ в ‘Audio Device Setup’ диалоге.

На Fig. 2.7 показана Sound control panel. Она имеет четыре вкладки.

На первом шаге, пользователь должен настроить вкладку 'Playback' (Воспроизведение) а затем повторить процедуру для вкладки 'Recording' (Запись). Шаги настройки следующие:

1) Выберете устройство для воспроизведения (для проведения тестов). Рекомендуется не назначать его устройством по умолчанию.

2) Нажмите кнопку ‘Properties’ (Свойства), откроется ‘Sound properties’ диалог.

3) Перейдите на вкладку ‘Levels’ (Уровни) см. Fig. 2.8. Заглушите Line In и Mic каналы, если они есть.

4) Перейдите на вкладку ‘Advanced' (Дополнительно) чтобы установить внутренние разрешение и частоту дискретизации карты (см. Fig. 2.9)

5) Повторите процедуру п. 1) ... 4) для устройства записи, выбрав ту же частоту дискретизации, что и для устройства воспроизведения.

Figure 2.7 Vista Sound Control panel (в Win7 так-же)

Figure 2.8 Playback channel properties – Output levels

Figure 2.9 Установка внутреннего разрешения и частоты дискретизации в Vista и Win7

Замечание: Под Win7 драйвера к некоторым картам работают нестабильно. В этом случае используйте драйвер ASIO, если эта технология поддерживается звуковой картой.

2.2.2 ASIO Driver Setup

Драйвера ASIO работают напрямую со звуковой картой (без микширования потока в операционной системе). Они имеют собственную панель управления для настройки битового разрешения и размера буфера для данных. Буфер нужен для обеспечения непрерывности потока данных к карте (т.к. ваш центральный процессор не все время занят картой). Пользователь может открыть ASIO control panel нажав ‘Control Panel’ в ‘Audio Device Setup’ диалоге. Fig. 2.10 показывает пример такой ASIO control panel.

Figure 2.10 ASIO Control panel в E-MU tracker для настройки битового разрешения и размера буфера

В приложениях для музыкантов обычно стараются устанавливать буфер как можно меньше, т.к. буфер вносит задержку (на действие музыканта).

В STEPS, задержка не является проблемой, тем не менее не рекомендуется использовать буфер больше 2048 семплов, или меньше 256 семплов. Некоторые ASIO control панели выражают размер буфера не в семплах а в [ms] (время на которое хватит данных в буфере). Для последнего случая можно вычислить размер в семплах, используя следующее выражение:

размер_буфера [samples] = размер_буфера[ms] *частота_дискретизации[kHz] / количество_каналов.

ARTA/STETS автоматически устанавливает размер буфера 10 ms (т.е. 512 семплов для частоты 48kHz, 1024 семплов для 96kHz, или 2048 семплов для частоты дискретизации 192kHz).

STEPS всегда работает с двумя входными и выходными каналами, условно рассматривая их как левый и правый. В ASIO поддерживаются мультиканальные устройства, и пользователь должен выбрать в диалоговом окне ‘Audio Device Setup’ какую пару каналов он будет использовать (1/2, 3/4, ...).

Примечание: ARTA закрывает и освобождает ASIO драйвер когда измерение останавливается, кроме случая когда драйверу требуется длительное время для загрузки в память.


2.3 Calibration

2.3 Калибровка и компенсация частотной характеристики

Калибровка это процесс связывающий отображение внутренних цифровых значений D[i] к внешним аналоговым значениям напряжения V[i]. Индекс i обозначает выборку сигнала во время i/частоту_дискретизации. Для линейных систем это отображение можно определить одним параметром называемым sensitivity (чувствительность);

Sensitivity = V[i] / D[i], где |D[i]| <= 1, i = 0,1,2,…

Во внутреннем представлении ARTA/STEPS, дискретные значения D[i] представляются в формате с плавающий точкой в диапазоне от -1 до 1. А размерностью чувствительности станет Вольт, т.к. D[i] безразмерна. Точнее мы будем использовать размерность в mV. Приведенное выше определение, также справедливо и для среднеквадратичных значений при измерении периодических сигналов.

Sensitivity = Vrms / Drms

Максимально возможное значение амплитуды дискретной последовательности D[i] равно 1. Что дает нам альтернативное определение чувствительности, как максимальное пиковое напряжение которое не вызывает переполнение АЦП (или ЦАП при генерации).

Sensitivity = Vpeak_max

Меню Setup->Calibrate devices откроет диалоговое окно 'Soundcard and Microphone Calibration' показанное на Fig. 2.13. Это окно позволит настроить чувствительность входных и выходных каналов звуковой карты. А также откалибровать чувствительность микрофона. Чувствительность микрофона обычно определяется отношением генерируемого микрофоном напряжения к вызвавшему его звуковому давлению. С единицей измерения mV/Pa.

Figure 2.13 Диалоговое окно для калибровки звуковой карты и микрофона

Диалоговое окно разделено на три секции (слева на право):

(a) Soundcard full scale output (калибровка выходного канала),

(b) Soundcard full scale input (калибровка входных каналов),

(c) Microphone sensitivity (калибровка микрофона).

На время калибровки можно изменить частоту дискретизации на 44100 или 48000, с помощью раскрывающегося списка в нижней части окна.

2.3.1. Калибровка выхода (левый канал)

Следуйте следующей процедуре:

1. Подсоедините вольтметр к выходу левого канала.
2. Установите 'Output level' на -3 dB или меньше.
3. Нажмите на кнопку 'Generate sine (400 Hz)' и программа сгенерирует синусоидальный сигнал с пиковым значением на 3 dB ниже переполнения ЦАП (или на другое значение установленное в Output level). Подпись на кнопке изменится на ‘Stop generator’.
4. Введите снятое с вольтметра показания в поле ниже (в mV rms). (3 dB, это 1.414 раза). Если вы используете вместо вольтметра осциллограф, в списке лучше выбирать mV peak.
5. Нажмите кнопку ‘Stop generator’, а затем кнопку 'Estimate Peak Output mV'.
6. Оценочное значение чувствительности будет отображено в поле 'Estimated'. Программа использует следующее уравнение для вычисления чувствительности:

Sensitivity = Maximum Peak (full scale) Output = 1.41421 * Voltmeter_RMS * 10Output_level/20

Для случая, когда выходной уровень генератора был установлен в -3 dB, это значение будет в два раза больше среднеквадратичного показания вольтметра.

7. Если вы согласны с результатами измерения нажмите кнопку 'Accept', и расчетное значение станет текущим (current) значением для 'чувствительности линейного выхода'. Так же оно скопируется в качестве входного в секцию input.

Важно: Калибровка действительна до тех пор, пока мы не изменим регулировку выходной громкости.

2.3.2. Калибровка входов

Для калибровки входных каналов можно использовать внешний генератор синуса или выходной канал звуковой карты. В обоих случаях нужно измерить значение напряжения на выходе генератора.

1. Соедините выход внешнего генератора с левым входом карты. Или соедините кабелем левый выход карты с входом.

2. Установите громкость (gain если есть пред усилитель) левого линейного входа звуковой карты на некоторое значение. Лучше начать с максимального значения уменьшая далее.

3. Нажмите на кнопку 'Generate sine (400 Hz)' (или включите внешний генератор). Следите за уровнем на peak-meters снизу. Если наблюдается клиппинг, уменьшайте уровень входной громкости карты. Как альтернатива, можно уменьшать выходной уровень генератора (но тогда, вам придется снова измерять его выходное напряжение Vrms).
4. Введите значение сгенерированного напряжения в поле под 'Enter voltage (peak or rms)', если конечно оно отличается от напряжения полученного при калибровки выходного канала.
5. Нажмите на кнопку 'Estimate Peak Input mV', и программа рассчитает чувствительность, как отношение Vrms/Drms.
6. Если вы согласны с результатами измерения нажмите кнопку 'Accept', и оценочное значение (estimated) станет текущим (current).
7. Повторите подпункты 1...6 для правого входного канала.

Это рекомендуемая процедура, при использовании карты в режиме обратной петли. Если вам вдруг потребуется откалибровать карту с максимальной чувствительностью входных каналов, то для большинства звуковых карт потребуется снижение уровня выходного сигнала.

Важно: Калибровка действительна пока вы не изменили регулировку входных уровней.

2.3.3 Калибровка микрофона

Для калибровки микрофона вам потребуется звуковой калибратор. Шаги:

1. Подсоедините микрофонный пред усилитель к входу карты (левому или правому).
2. Введите preamplifier gain (коэффициент усиления пред усилителя).
3. Подсоедините звуковой калибратор к микрофонному капсулю и включите калибратор.
4. Нажмите кнопку 'Estimate mic sensitivity'.
5. Если вы согласны с результатами измерений, нажмите кнопку 'Accept'.

Примечание: Если вы не знаете коэффициент усиления пред усилителя, вы можете ввести любое значение, но это же значение должно использоваться в диалоговом окне 'Audio Devices Setup'.

2.3.4 Компенсация частотной характеристики

Качество акустических измерений зависит от качества используемых микрофонов. При не идеальной АЧХ, можно ввести частотную характеристику датчика и выполнить компенсацию этой характеристики (применив инверсию датчика FR при измерении).

Пункт меню Setup->FR compensation или клик на значке [image] откроет диалоговое окно "Frequency Response for Compensation", показанное на Fig. 2.14.

В этом диалоговом окне есть несколько элементов управления и график показывающий частотную характеристику, которая будет использована для компенсации АЧХ.

Кнопка Load открывает диалоговое окно для загрузки ASCII файла содержащего данные частотной характеристики. Файл должен иметь расширение .MIC данные в котором содержат строки текста. Строки должны начинаться с цифр или точек, и должны содержать в строке не менее двух значений: первое частота в Гц, второе передаточная характеристика в dB. Третье значение не обязательное значение фазы или может быть любой текст, который будет рассматриваться как комментарий. Строки начинающиеся с текста тоже рассматриваются как комментарий. Путь\имя текущего файла компенсаций показывается в поле под графиком.

Для примера, файл компенсаций для Fig. 2.14 содержит:

    microphone ecm8000
    freq(Hz) Magn(dB)
    20.280   0.34
    24.936   0.58
    29.601   0.70
    .....

Figure 2.14 Типичная частотная характеристика электретного микрофона.

Установка флажка 'Show interpolated values' позволяет увидеть кривую интерполяции по заданным в файле точкам. Именно эта кривая используется при FR компенсации.

Кнопка 'Copy' копирует изображение текущего графика в буфер обмена Windows.

Поле с выпадающим списком 'Range (dB)' позволяет задать динамический диапазон амплитуды для графика (10 - 100 dB).

Кнопка 'Use frequency response compensation' включает/отключает компенсацию частотной характеристики.


2.4 Measurement Setup

2.4 Настройка измерений

Для настройки измерений используется диалоговое окно 'Measurement setup' см. Fig. 2.15. Его можно открыть выбрав пункт меню Setup->Measurement или кликнув в панели управления на значок [image] .

Figure 2.15 Measurement Setup

Диалоговое окно 'Measurement Setup ' имеет следующие элементы управления:

В секции Measurement System:

В первом раскрывающемся списке выбирается схема измерения:

Dual channel - для измерения частотной характеристики

Single channel - для измерения уровней

Response channel - выбирается канал в котором будет фиксироваться отклик.

Sampling frequency (Hz) - выбирается частота дискретизации (от 11025 до 192000 Hz).

Min. integration time (ms) - выбирается минимальное время на интегрирование (от 0 до 2000 ms).

Transient time (ms) - время на переходные процессы (от 0 до 2000 ms).

I/O delay (ms) - время на прохождение сигнала от входа до выхода в измеряемой системе.

Intra burst pause (ms) - пауза между генерированием синусоидальных пакетов.

В секции Stepped Sine Generator:

Start frequency (Hz) - начальная частота для тестирования в Hz.

Stop frequency (Hz) - конечная частота для тестирования в Hz.

Frequency increment - шаг приращения частоты, выбор между: 1/6, 1/12, 1/24 или 1/48 октавы.

Generator level (dB re FS) - выходной уровень генерируемого сигнала.

Test frequency (Hz) - частота в Hz, для тестирования уровней I/O.

Mute generator switch-off transient – отключает генерацию между посылками. Уменьшает переходные процессы, но увеличивает время измерения.

Кнопки:

Generate - запускает генерацию тестового сигнала, а пиковые измерители начинают отображать уровни.

Default - возвращает конфигурацию к значениям по умолчанию.

OK - принимает текущую конфигурацию.

Cancel - отклоняет проведенные изменения конфигурации.


2.5 Measurement Procedures

2.5 Процедуры измерения и презентация

Если вы выполнили настройки в Audio Device Setup, Soundcard and Microphone Calibration и Measurement Setup, вы готовы к измерениям.

  1. Подключите ваш измерительный кабель (или микрофон) к выходу тестируемой системы. Для dual chanel схемы так же подключите дополнительный кабель ко входу тестируемой системы.
  2. Выберите пункт меню Record->Start или кликните в панели инструментов на значок [image] .
  3. Измерения будут проводится с логарифмическим изменением частоты, а результат отображаться в виде графика амплитуды, фазы, амплитуды + фазы или амплитуды + искажений. Чтобы изменить тип графика, нажмите один из следующих значков: .

Примечание:

Вы можете остановить измерение досрочно, выбрав меню Record->Stop или кликнув в панели инструментов на значок [image] .

Вы можете скопировать изображение графика в буфер обмена, выбрав в меню Edit->Copy или кликнув панели инструментов на значок [image] .

Качество измерений и динамический диапазон измерений зависит от качества звуковой карты. На Fig.2.16 показан график частотной характеристики + искажения звуковой карты EWX 24/96. Очевидно, что STEPS сможет измерить искажения большие чем -120 dB от максимального уровня сигнала.

Figure 2.16 Типичный график частотной характеристики высококачетвенный звуковой карты. Серая кривая - искажения второй гармоники, красная - третьей.

При акустических измерениях мы обычно фиксируем гораздо больший уровень гармонических искажений. На Figure 2.17. показаны характеристики небольшого мультимедийного динамика низкого качества.

Figure 2.17 Типичная частотная характеристика и уровень искажений небольшого мультимедийного динамика.

Вы можете определить текущий график как накладываемый график. Или загрузить график для наложения. Количество наложений не ограничено.

Форматы файлов и возможные манипуляции с ними описаны в ниже следующем разделе.


2.6 Overlays

2.6 Наложение

Наложение это кривая, которая отображается рядом с кривой текущего измерения. Пользователь может установить и текущую кривую как кривую наложения, или наложить на график другие кривые чтобы получить общий график. Манипуляции с наложением выполняются с помощью меню Overlay. Оно имеет следующие пункты:

Set as overlay - сохраняет текущий график как график для последующего наложения.
Manage Overlays - открывает диалог 'FR Overlay Manager'.
Delete all - удаляет все наложения с графика.
Delete last - удаляет последнее наложение с графика.
Load overlay- загружает кривую для наложения из файла '.hsw'.
Load impedance overlay - загружает наложение импенданса из фалов '.zma' или '.lim'.
Delete impedance overlay – удаляет наложения импенданса.

Более продвинутые манипуляции с наложениями можно выполнять с помощью диалогового окна 'FR Overlay Manager' показано на Figure 2.18. Оно активируется выбором в меню 'Overlay->Manage Overlays'.

Figure 2.18 Диалоговые окна 'FR Overlay Manager' и 'Overlay colors'

Некоторые кнопки в диалоге дублируют команды из меню:

Add overlay - сохраняет текущий график как кривую для наложения.
Delete all - удаляет все наложения.
Другие кнопки позволяют выполнять дополнительные операции с выбранными элементами списка:
Replace sel - заменяет выбранное в списке наложение текущей кривой.
Delete sel - удаляет выбранные наложения.
Color - изменяет цвет выбранной накладываемой кривой, через диалог 'Overlay Colors' см. Figure. 2.18.
Щелчки мышью по элементам списка, имеют следующие эффекты:
Одиночный клик - выбирает элемент из списка.
Одиночный клик на флажке - делает накладываемую кривую видимой или невидимой.
Двойной клик - позволяет отредактировать имена наложений.
Все накладываемые кривые из списка можно сделать видимыми нажав кнопку 'Check All'.


4.7 File Manipulation

2.7 Манипуляции с файлами

STEPS использует свой собственный бинарный формат для сохранения измеренных данных в файлы с расширением .HSW.

Помимо измеренных данных, файлы .HSW могут содержать пользовательский текст произвольной длинны. Пользователь может его ввести в поле редактирования вызвав диалоговое окно 'File Info' (см. Fig. 2.19), из меню File->Info.

Figure 2.19 Диалог с информацией о файле

Формат бинарного .HSW файла следующий:

char filesignature[4]   // сингатура четыре символа: 'H','S','W','\0'
unsigned int version;   // версия формата
int numpoints;          // количество измерений (точек по частоте)
int numdist2;           // количество точек по частоте для D2 и для общего THDs
int numdist3;           // количество точек по частоте для D3
if (version >= 0x0103 )
int numdist4            // количество точек по частоте для D4
if (version >= 0x0104 )
int numdist5;           // количество точек по частоте для D5
int numdist6;           // количество точек по частоте для D6 + выше
int numchannels;        // 1 или 2 (каналов в измерении)
int resolution;         // 6, 12, 24 или 48 шаг на октаву
int smoothing;          // 1,2,3 на октаву
int crspos;             // позиция курсора
int micused;            // микрофон: 0-не использован, 1-used on output 2-used on input
float micsens;              // чувствительность микрофона V/Pa
float frequency[numpoints]; // частота в Hz, массив точек
float magnitude[numpoints]; // амплитуда в dB, массив точек
float phase[numpoints]; // фаза в градусах, массив точек
float D2[numdist2];     // уровень 2-й гармоники в dB, массив точек
float D3[numdist3];     // уровень 3-й гармоники в dB, массив точек
if( version >= 0x0103 )
float D4[numdist4];     // уровень 4-й гармоники в dB, массив точек
if( version >= 0x0104 )
float D5[numdist5];         // уровень 5-й гармоники в dB, массив точек
float D6[numdist6];         // суммарный уровень 6-й и более высоких гармоник в dB, массив точек
float THD[numdist2];        // уровень THDs в dB, массив точек
int infotext_length;        // длинна пользовательского текста (в байтах)
char info[infotext_length]; // пользовательский текст

Примечание: Dn означает n-е гармоническое искажение, D6 также суммирует уровни гармонических компонент с 7-й по 12-ю.
Для версии 103 массив D4 содержит суммарный уровень гармоник с 5-й по 10-ю.

Дополнительно Steps может экспортировать данные в три текстовых формата:

1) Magnitude+Phase (commented .TXT) - содержит строки с комментариями и данными
данные: frequency, magnitude, phase. Пример:

<Steps info>
Start frequency: 200.0
Stop frequency: 20318.8
Frequency increment: 1/12 octave
Num frequency points: 81
Num channels: 2
Microphone not used
< Steps values >
dBV/V
Freq(Hz) Magn(dB) Phase(deg)
 200.0   0.01     0.0
 212.0   0.01     0.0
 224.5   0.01     0.0
 237.7   0.01     0.0

2) Magnitude+Phase (plain .TXT) - содержит строки только с данными:
frequency, magnitude, phase. Пример:

200.0 0.01 0.0
212.0 0.01 0.0
224.5 0.01 0.0
237.7 0.01 0.0

3) Magnitude + distortion - имеет следующий вид:

<Steps info>
Start frequency: 200.0
Stop frequency: 20318.8
Frequency increment: 1/12 octave
Num frequency points: 81
Num channels: 2
Microphone not used
< Steps values >
dBV/V
Freq(Hz) Magn(dB) THD(%)   Dist2(%) Dist3(%)
200.0    0.01     0.00072  0.00015  0.00061
212.0    0.01     0.00082  0.00019  0.00061
224.5    0.01     0.00083  0.00018  0.00069
237.7    0.01     0.00085  0.00015  0.00065
252.0    0.01     0.00093  0.00021  0.00070
267.0    0.01     0.00077  0.00019  0.00063


2.8 Graph Setup

2.8 Настройки для графиков

2.8.1 Graph Setup

Меню Setup->Graph Setup или нажатие на кнопку Set в панели управления справа от графика или пункт контекстного меню 'Graph Setup' при клике правой кнопкой на графике открывает диалог 'Graph Setup' (см. Fig. 2.20). Что позволяет выбирать тип графика, регулировать отображаемый диапазон амплитуд и частот.

Figure 2.20 Graph setup

Диалог 'Graph Setup' имеет следующие элементы управления:

Dynamic range (dB) секция:

Graph top - верхнее значение.

Graph range - диапазон значений графика.

Fit to graph top - нажатие на кнопку, подгоняет верхнюю границу графика исходя из текущих данных.

Freq. range (Hz) секция:

High - самая высокая отображаемая частота (в Hz).

Low - самая низкая отображаемая частота (в Hz).

View секция:

Pressure units - единицы измерения (для акустического давления): dB относительно 20uPa/V, dB относительно 20uPa/2.83V или dB относительно 1Pa/V.

Plot type - тип графика: Magnitude (амплитуда), Phase, Magnitude+Phase или Magnitude+Distortion (амплитуда+искажение).

Total distortion and harmonics levels секция:

THD - флаг для отображения общего коэффициента нелинейных искажений.

D2 - флаг для отображения уровня вторых гармоник.

D3 - флаг для отображения уровня третьих гармоник.

D4 - флаг для отображения уровня четвертых гармоник.

D5 - флаг для отображения уровня пятых гармоник.

D6+ - флаг для отображения суммарного уровня шестых и выше гармоник.

Default - кнопка восстанавливает настройки по умолчанию.

Update - кнопка обновляет текущий график.

2.8.2 Изменение цветов графика и стиля кривых

Есть возможность менять еще некоторые параметры графика через меню 'Edit'.

На графики воздействуют следующие пункты меню:

Colors and grid style - устанавливает цвета и стили для графика и сетки.
Use thick pen - устанавливает стиль (толщину) для кривых.

Use thick grid - устанавливает стиль (толщину) для сетки.

Цвета для графика можно изменить двумя способами. Первый - изменить всю цветовую схему. Выбрав в меню View->B/W color. Или кликнув в панели инструментов на значок [image] .

Второй - использовать "user mode". Пользователь устанавливает произвольный цвет для каждого элемента графика в диалоге 'Color Setup', см. Fig. 2.16. Вызвать который можно из меню 'Edit->Colors and grid style'. Настройки цвета осуществляются раздельно для цветовых схем "Black" background и "White" background (см. Fig. 2.16). Кривая амплитуды использует цвет Plot pen 1, фазы Plot pen 2, гармонические искажения от Plot pen 2 до Plot pen 6, THD цвет Overlay 8.

Клик левой кнопкой мыши по цветовому прямоугольнику отрывает стандартное для Windows диалоговое окно выбора цвета 'Color' (см. Fig. 2.22).

Кнопка Default восстановит цвета по умолчанию.

Note 1: Установка флажка 'All overlays with same color', вызывает отображение всех накладываемых кривых одним цветом.

Стиль сетки графика определяется следующими опциями:

· Установка флажка ' 'Dotted graph grid', вызывает отображение сетки на всех графиках в точечном стиле.

· Установка флажка ' Add axes tick marks', отображает деления на осях.

· Установка флажка ' 'Add subgrid on magnitude axis', формирует на графиках более плотную сетку для величин. И отключает опцию точечной сетки.

· Пользователь может настраивать вертикальную ось в графиках через элемент панели управления ‘Top’ или через вращение колесика мышки. Если установить флажок 'Top magn. spin moves graph', то элементы управления будут перемещать кривую на шаг равный делению сетки, иначе поле графика перемещается вместе с кривой.

Figure 2.21 Диалоговые окна для настройки цветов графиков в a) black background режиме и в b) white background режиме

Figure 2.22 Стандартное для Windows диалоговое окно выбора цвета

2.8.3 Настройки формирования кривой

Настройки влияющие на построение кривых, находятся в меню Edit:

Smooth Magnitude - сглаживание в полосе:
1/1 octave,
1/2 octave,
1/3 octave.
Scale level - масштабирует амплитуду кривой.
LF box diffraction - scales frequency response with transfer function of LF loudspeaker box diffractionc
Cut below cursor - вырезает точки до курсора
Cut above cursor - вырезает точки после курсора.

Команды 'Cut below cursor', 'Cut above cursor' а так же 'Scale level' обычно используются для “комбинации” двух графиков; один с высокочастотными характеристиками, другой с низкочастотными.

Пункт 'Scale level' - открывает диалоговое окно (см. Fig. 2.23) в котором пользователь вводит уровень (в dB) к которому масштабируется амплитуда кривой. Эта операция не изменяет саму импульсную характеристику, она только меняет текущую отображаемую кривую.

Figure 2.23 Диалог 'Scale Magnitude Level'

2.8.4 Low Frequency loudspeaker Box Diffraction Scaling

Menu command 'LF box diffraction' opens dialog box (shown in Fig. 2.24). In this dialog user enters the form of the box (spherical, squared or rectangular), width and height of loudspeaker baffle. These values are used for the definition of scaling transfer function W(f) that is used for the estimation of the free field response from the response of loudspeaker that is measured mounted in an infinite baffle (or in the near field).

Figure 2.24 Dialog box 'LF Box Diffraction'

STEPS uses following expression for the LF diffraction scaling transfer function :

where f0 = 42.7 / d - for sphere of diameter d, or f0= 34.16 / d - for squared box of width d. These values are obtained by numerically fitting transfer function W(f) with transfer function of a spherical loudspeaker box. This transfer function is also called 2pi/4pi equalizer as it gives the difference of low-frequency loudspeaker response in half space (2pi) and response in a full space (4pi). For a rectangular box, that has front baffle width w and height h, STEPS uses - as approximation - an equivalent squared box of width d = w (h/w)1/3.

Fig. 2.25 shows an example of the measured near field loudspeaker response (upper curve) and estimated free-field response (bottom curve). At very lower frequencies the level difference is 6dB.

Figure 2.25 Near field loudspeaker response (upper curve) and 2pi/4pi equalized response (lower curve).


2.9 Percentage Distortion Plot

2.9 График искажений в процентах

Распространенным способом представления искажений от частоты, является логарифмический график процента искажений, как пример см. figure 2.26.На рисунке показаны искажения небольшого низкокачественного мультимедийного динамика.

В таком виде график можно получить выбрав в меню ‘View->Percentage distortion’ или нажав кнопку D%.

Figure 2.26 Окно с графиком искажений в процентах

Такой график искажений в log-log масштабе может отображать до шести кривых:

THD - общий коэффициент гармонических искажений в % (вычисляется по первым 12 гармоникам),

D2 - составляющая второй гармоники (%),

D3 - третья гармоника (%),

D4 - четвертая гармоника (%),

D5 - пятая гармоника (%),

D6+ - суммарная составляющая от 6-й до 12-й гармоник (= 100 sqrt((A62+A72+...A122) /A12) %).

выбираются установкой соответствующего флажка в секции D% range. В этой же секции находятся элементы управления:

Top устанавливает верхний край графика.

Bottom нижний край графика.

Autofit кнопка автоматически масштабирует график по вертикали.

Мышью или клавишами перемещения курсора можно перемещать курсор график. Значение искажения в позиции курсора отображаются под графиком.

В правой части графика отображаются "легенды" для цветов кривых.

В нижней части диалогового окна имеются следующие элементы управления:

Range два списка - задают границы по частоте.

Autofit кнопка - автоматически подгоняет границы по горизонтали (частоте).

Thick pen - толстая или тонкая кривая.

Thick grid - толстая или тонкая сетка.

B/W - фон белый или черный.

Copy кнопка - копирует график в буфер обмена.

Если в окне частотной характеристики отображались одна или несколько наложенных кривых, то в окне процентных искажений автоматически отобразятся их флажки (см. Fig. 2.27). Отображаются только флажки наложений THDo, D2o, D3o,...,D6o+.

Figure 2.27 Окно 'Distortion %' с текущими и наложенными графиками


2.10 Time Record

2.10 Осциллограмма

Осциллограмму последнего записанного сигнала (посылку) можно увидеть в окне 'Time record' (см. Fig. 2.28). Для чего выберите пункт меню View->Time record, или нажмите на кнопку [image] .

Figure 2.28 Запись последнего захваченного сигнала

График отображает масштабированную запись входного сигнала по времени. Желтая линия обозначает курсор, красная дополнительный маркер. Вы можете менять положение курсора и маркера нажатием и перемещением левой и правой кнопкой мыши. Двойной клик правой кнопки мыши включает и отключает маркер.

Под графиком, метка 'Cursor:' отображает мгновенное значение отчета в позиции курсора, время (в скобках номер семпла по порядку).

Метка 'Gate:' разницу во времени между курсором и маркером (в скобках разницу в семплах).

Элементы управления справа служат для прокрутки графика, увеличения и уменьшения масштаба, изменения усиления и вертикального смещения.

Zoom ratio is shown above the upper right corner of the graph. It is written as ratio p:n, where p means number of pixels used to draw n signal samples. Maximal zoom is defined with ratio 8:1, normal zoom is defined with ratio 1:1 and minimal zoom is defined with ratio 1:m, where m=signal length/graph width in pixels.

Zoom commands:

Up - increases the zoom factor.

Down - decreases the zoom factor.

Min - sets minimal zoom ratio (to show almost all signal samples).

Max - shows points between the cursor and the marker, but if the marker is switched off, the plot is zoomed to a 1:1 or 8:1 if it is currently equal or larger than 1:1.

Gain commands:

Up - increases the gain factor.

Down - decreases the gain factor.

Min - sets minimal gain factor.

Max - sets maximal gain factor.

Offset commands:

Up - increases the vertical offset.

Down - decreases the vertical offset.

Null - sets the vertical offset to zero.

Scroll comands:

Left - scroll the plot to the left.

Right - scroll the plot to the right.

The 'Channel' combo box shows the currently shown channel (left or right).

You can also use following shortcut keys:

Up and Down keys - to change the gain

Ctrl+Up and Ctrl+Down keys - to change the vertical offset

Left and Ctrl+Left keys - to scroll the plot left

Right and Ctrl+Right key - to scroll the plot right

Shift+Left and Shift+Right keys - to move the cursor left and right

PgUp and PgDown keys - to change the zoom factor

Dragging the mouse in the label area scroll the plot horizontally and vertically.

Double-clicking the left mouse button in the time axis area toggles the time/sample position labeling.

Связанные с окном команды меню:

В меню File:

Export ASCII - сохраняет дискретно данные времени и амплитуды в текстовом файле.

Info - отображает в окне сообщении, среднеквадратичное и пиковое значение сигнала. Если установлен курсор и маркер, значения определяются для выбранной части сигнала.

В меню Edit:

Copy – копирует график в буфер обмена.

BW background color – изменяет фон на черный или белый.

Thick pen - толстая / тонкая кривая.
 Thick grid - толстая / тонкая сетка.


Introduction

3 Использование STEPS для построения ступенчатой проходной амплитудной характеристики

Stepped-amplitude testing это метод измерения, при котором мы измеряем реакцию системы и возникающие искажения как функцию от амплитуды возбуждающего сигнала. Сигнал возбуждения в данном случае - одно или двух синусоидальный сигнал, с частотой определенной пользователем. Амплитуда возбуждающего сигнала при этом, изменяется от самого низкого до высокого значения за определенное количество шагов.

В этом режиме, STEPS измерять и графически отображать функции:

1) Distortion vs. amplitude гармонические и интермодуляционные искажения в зависимости от амплитуды сигнала.
2) Linearity function функция линейности, усиление системы как функция амплитуды возбуждающего сигнала.
3) Loudspeaker displacement/distortion смещение динамика (измеряемое с помощью лазерного устройства) и связанные искажения (измеряемые с помощью микрофона)
4) Loudspeaker distortion limited maximum SPL нахождение максимального уровня звукового давления динамика для определенного пользователем искажения

Эти измерения в первую очередь нацелены на измерения усилителей мощности, аудиокомпрессоров и систем автоматической регулировки усиления.

3.1 Distortion vs. Amplitude Testing (искажения от амплитуды)

3.2 Linearity Testing (тест линейности)

3.3 Displacement and Distortions

3.4 Loudspeaker Distortion Limited Maximum SPL


3.1 Distortion vs. amplitude

3.1 Тестирование искажений от амплитуды

При тестировании искажений от амплитуды, пользовательский интерфейс отображается в окне ‘Distortion vs. amplitude’ (см. Fig. 3.1). Это окно открывается пунктом меню ‘Record->Distortion vs. amplitude’.

Figure 3.1 'Distortion vs. amplitude' окно

Измерение таких искажений происходит по single channel схеме. Мы измеряем реакцию системы на синусоидальный сигнал и оцениваем возникающие (THD или IMD) искажения, почти тем же способом как мы делали в режиме качающейся частоты. Измеряемая система при этом будет возбуждаться одно синусоидальным или двух синусоидальным сигналом.

График показывает процент искажений как функцию от измеряемого RMS напряжения на выходе системы. Как альтернатива, можно отобразить график искажений от расчетного значения RMS напряжения на входе тестируемой системы.

Настройки в окне разделены на три секции:

General distortion measurement секция

Первый выпадающий список определяет тип измеряемого искажения:
THD - общий коэффициент гармонических искажений = коэффициент нелинейных искажений (на определяемой пользователем частоте),
DIN IMD - тоже при двух синусоидальном сигнале 250 Hz и 8 kHz (по сути коэффициент интермодуляционных искажений),
SMPTE IMD - ... 60 Hz и 7 kHz,
CCIF IMD - ... 13 и 14 kHz,
CCIF IMD - ... 19 и 20 kHz.

Response channel - входной канал для отклика Left или Right.
Sampling rate - список с частотами дискретизации в Hz.

Excitation sine voltage range секция

Frequency (Hz) - частота для измерения THD.
Start value (V rms) - начальное тестовое напряжение RMS в Вольтах.
Stop value (V rms) - конечное тестовое напряжение RMS в Вольтах. В скобках показывается максимально возможное расчетное значение.
Use logarithmic step - флаг, изменение амплитуд по логарифмическому закону.
Number of steps - количество шагов (ступеней).

Integration constant секция

Intg. time (ms) - время интегрирования для оценки RMS значения.
Transient time (ms) - время на переходные процессы. Большие значения необходимы при измерении аудиокомпрессоров и схем с автоматической регулировкой усиления.

Секция с кнопками
Record – стартует измерение. Во время проведения измерения, она же останавливает его.
Copy – копирует текущий график в буфер обмена (в BMP формате).
B/W – изменяет стиль на белый / черный фон.
Setup - открывает диалоговое окно для настройки графика.
Overlay – открывает диалоговое окно с настройкой наложений.

Thick pen - флаг, толстая / тонкая кривая.
Thick grid - флаг, толстая тонкая сетка.
OK – закрывает окно с записью текущих настроек.

Это окно связано с пунктами меню:

File:

Open - загружает данные из бинарного (.vsl) файла.
Save - сохраняет данные в бинарный (.vsl) файл.
Export… - сохраняет данные в текстовый файл (в формате обычного ASCII или Excel CSV).

Edit:

B/W – меняет стиль графика на черный / белый фон.
Copy – копирует график в буфер обмена.
Thick pen - толстая / тонкая кривая.
Thick grid - толстая / тонкая сетка.

Правый клик на графике мышью или нажатие кнопки Setup открывает диалоговое окно ‘Distortion graph setup’. См. Fig. 3.2.

Figure 3.2 Окно 'Distortion graph setup'

Элементы управления ‘Distortion graph setup’:

Axis Type секция

Log Y- axis - устанавливает логарифмический или линейный масштаб Y-оси
Log X- axis - устанавливает логарифмический или линейный масштаб X-оси
X-axis measured – переключает ось X на измеренное или расчетное RMS значение возбуждающего сигнала.

Y-axis range секция

Distortion (%) - диапазон или максимальное значение процента искажений.
Num decades - количество декад ниже отображаемое на логарифмическом графике.

X-axis range секция

High (V) - максимальное RMS напряжение отображаемое по оси X.
Low (V) - минимальное RMS напряжение отображаемое по оси X.

Каждая кривая графика может быть установлена как наложенная кривая. Пример на Fig. 3.3. На этом рисунке также показано диалоговое окно Distortion Overlays которое управляет наложениями. Управление наложениями такое же, как и для главного окна, описано в разделе 2.6.

Figure 3.3 График искажений и менеджер наложений


3.2 Linearity testing

3.2 Тест линейности

Для оценки линейности мы используем интерфейс диалогового окна ‘Linearity Function’ (см. Fig. 3.4). Окно открывается из меню ‘Record->Linearity function’.

Figure 3.4 Linearity Function window

Измерение линейности это двухканальное измерение (схема dual channel). Мы измеряем как сигнал возбуждения - ось X, так и сигнал отклика системы - ось Y. Синусоидальный сигнал возбуждения генерируется STEPS. The graph shows

The measurement setup is defined in three sections, with following controls:

Measurement channels section
Y – channel - chooses soundcard line-input channel for measuring system response.
X – channel - chooses soundcard line-input channel for measuring system excitation.
Sampling rate - chooses sampling rate in Hz.

Excitation sine voltage range section

Frequency (Hz) - enters sine frequency.
Start value (V rms) - enters start RMS voltage value
Stop value (V rms) - enters stop value (maximal RMS voltage value). In parenthesis a maximum possible value, for a given Power Amplifier Gain, is shown.
Use logarithmic step - check box to use logarithmically spaced amplitudes.
Number of steps - enters number of steps of stepped amplitudes.

Integration constants section

Intg. time (ms) - enters entering integration time used for RMS estimation
Transient time (ms) - enters time that is needed for the system to reach the steady state. It can be from several ms to more than 1000 ms. The larger values are appropriate for measuring audio compressors or circuits with automatic gain control.

Bottom buttons section

Record - starts the measurement. If pressed during the measurement this button stops the measurement.
Copy - copies the current graph to the clipboard in .bmp format.
B/W - changes the current graph background color to black or white.
Setup - opens the dialog for Graph setup.
Overlay - opens the dialog for overlay manipulations

Thick pen - sets pen style to draw thick lines.
Thick grid - sets pen style to draw thick grid.
Cancel - closes the window and discards current measurement setup.
OK - closes the window and saves the current measurement setup.

The window has two menu items:

File
Open - retrieves data from binary (.vsl) file.
Save - saves data in binary (.vsl) file.
Export… - saves data in textual files in plain ASCII or Excel CSV format.

Edit
B/W - changes graph background color to black or white.
Copy - copies graph in Windows clipboard.
Thick pen - sets pen style to draw thick lines.
Thick grid - sets pen style to draw thick grid.

The right mouse click in the graph area (or click on button Setup) opens the dialog box ‘Distortion graph setup’. It is shown in Fig. 3.5.

Figure 3.5 Linearity graph setup

Dialog box ‘Linearity graph setup’ has following controls:

Axis Type section
Show Log V (or dBV) - check box to set logarithmic or dB Y-axis
Show relative (dB V/V) - check box to set linearity function as Y/X vs. X.

Y-axis range section
Ymax (dBV) - enters maximum of shown level of output or transfer function (depending on state of check box Show relative).
Ymin (dBV) - enters minimum of shown level of output or transfer function (depending on state of check box Show relative).

X-axis range section
Xmax (dBV) - enters maximum of shown input level.
Xmin (dBV) - enters minimum of shown input level.

Every graph curve can be set as an overlay curve. The manipulation with overlays is described in preceding sections.


3.3 Displacement and Distortions Testing

3.3 Loudspeaker Displacement and Distortions Testing

The estimation of a peak acoustic power, which can be generated from some loudspeaker driver, is based on the loudspeaker voice coil peak displacement, usually denoted as Xmax. Here a method for measuring Xmax will be presented. During the measurement various types of distortion will be measured and presented graphically (harmonic distortion: THD, D2, D3, and intermodulation distortions: MD2, MD3).

3.3.1 Definition of Xmax

AES recommendation 2-1984 defines the Xmax as "the voice-coil peak displacement at which the linearity of the motor deviates by 10%. Linearity may be measured by percent distortion of the input current or by percent deviation of displacement versus input current. Manufacturer shall state method used. The measurement shall be made in free air at fs."

This definition is not quite clear, and effort has been made to intoduce a new standard for definition and measurement of Xmax. This new draft standard is available now as: "IEC PAS 62458: Sound System Equipment – Electroacoustical transducers – Measurement of large signal parameters".

This standard is based on the W. Klippel's definition for Xmax:

"The voice-coil peak displacement Xmax at which either the total harmonic distortion THD or the nth-order modulation distortion (where n=2 or 3) exceeds 10% in the sound pressure radiated by the driver in free air excited by the linear superposition of a first tone at the resonance frequency f1=fs and a second tone f2=8.5 fs with an amplitude ratio of 4:1. The total harmonic distortion assesses the harmonics of f1 and the modulation distortions are measured by the modulation components f2 ± (n-1) f1 according to IEC 60268".

3.3.2 Measurement of Xmax

Following previous definition, ARTA gives user interface for practical measurement procedure that is being executed as follows:

1. Mount the driver in a free field and measure resonance frequency fs of the driver.

2.Use measurement setup with two sensors:

- microphone, that is placed in a driver near field, connect to the one input channel, and

- optical laser devices, that can measure voice-coil displacement, connect to the other input channel.

3. Connect input of the driver's power amplifier to the soundcard left output channel and excite the driver with a two-tone signal f1=fs and f2=8.5fs and amplitude ratio U1=4U2 and perform a series of stepped-amplitude measurements with Ustart < U1 < Uend.

5. Measure the peak displacement spectral component Dx(f1), and spectral content of the sound pressure in the near field, versus amplitude U1. For each amplitude U1 determine:

- amplitudes of fundamental tones P(f1) and P(f2),

- harmonic components P(k f1) with k= 2, 3, ...,K, and total harmonic distortions

- second-order and third-order modulation distortions

4. Search for the minimal value of the excitation voltage U10% (in the range Ustart < U10% < Uend), where either the THD, MD2 or MD3, respectively, equals 10%.

5. Find the peak voice-coil displacement Xmax as a displacement that correspond to the amplitude U10%.

Fig. 3.6 Two-channel measurement setup for loudspeaker pressure response and voice-coil displacement measurements. The excitation signal is stepped-amplitude two-tone signal.

Figure 3.7. Positioning of laser displacement sensor and microphone

3.3.3 STEPS user interface for measurement of Xmax

For the simultaneous measurement of loudspeaker distortions and voice-coil displacement, STEPS gives us a user interface in the window ‘Displacement/Distortion Function’ (shown in Fig. 3.8). This window is opened by the menu command ‘Record->Loudspeaker displacement/distortion’.

Figure 3.8 'Distortion and Displacement' measurement window

Window ‘Distortion and displacement’ has following controls:

Measurement channels section:

Response channel - chooses the microphone input channel.

Sampling rate (Hz) - chooses the current sampling frequency.

Use displacement sensor on other channel - check if sensor for the displacement measurement is connected to the other input channel.

Sensitivity (mV/mm) - enters sensitivity of displacement sensor.

Excitation sine voltage range section:

Start value (V rms) - enters stepped amplitude start value

Stop value (V rms) - enters stepped amplitude stop value. The maximum value is denoted below this control (a power amplifier output voltage is reported).

Number of steps - enters number of repeated measurement with voltage increment.

Logarithmic step increment - check box to set logarithmic increment.

THD break value (%) - enters limiting value for distortion (after which measurement stops).

Sine frequencies section:

Frequency f1(Hz) - enters fundamental frequency for harmonic distortion measurement.

Use f2 = 8,5f1 (U1=4U2) - check box to measure intermodulation distortion.

Integration constants section:

Integration time (ms) - enters RMS detector integration time.

Transient time (ms) – enters transient time, as time necessary to reach the steady state condition.

Bottom buttons:

Record - starts or stops measurements.

B/W - changes background color to black or white.

Copy - copies graph to clipboard.

Thick pen - sets pen style to draw thick lines.
Thick grid - sets pen style to draw thick grid.

Click on button 'Setup' or right mouse click in the graph area opens the dialog box ‘Distortion/displacement graph setup’. It is shown in Fig. 3.9.

Fig. 3.9 Dialog box 'Distortion/displacement graph setup'

Dialog box ‘Distortion/displacement graph setup’ has following controls:

Axis Type section:

Log Y- axis - check box to set logarithmic or linear Y-axis.

Log X- axis - check box to set logarithmic or linear X-axis.

Num decades - choosess number of decades in logarithmic Y-axis

Y-axis range section:

Distortion (%) - enters Y-axis range for distortion graph.

Displacement (mm) - enters box sets Y-axis range for displacement graph.

X-axis range section:

High (V) - enters voltage value for the graph right margin.

Low (V) - enters voltage value for the graph left margin.

If check box 'Show 2nd and 3rd harmonic distortions' is checked the graph shows additional distortion curves.

The menu has two items:

File

Open - retrieves data from binary (.vdx) file.

Save- saves data in binary (.vdx) file.

Export…- saves data in textual files in plain ASCII or Excel CSV format.

Info – shows information about current file.

Edit

B/W – changes graph background color to black or white.

Copy – copies graph to Windows clipboard.

Thick pen - sets pen style to draw thick lines.
Thick grid - sets pen style to draw thick grid.

Fig. 3.10 Example of measurement results. For displacement measurement a laser sensor type Baumer OADM 20I6441/S14F is used.

The Fig. 3.10 shows results of measurement where dominant distortion type was harmonic distortion. The comparison of displacement and THD curves shows that in this case Xmax = 5mm.

Measurement data can be saved in file. Two format are possible: textual files and binary files that have name extension ".vdx".


3.4 Loudspeaker maximum SPL

3.4 Loudspeaker Distortion Limited Maximum SPL

Loudspeaker distortion limited maximum SPL is a sound pressure level of sine signal that can be achieved under condition that THD of signal radiated from loudspeaker is below the user defined threshold (usually 10%).

Important notice: It is of great importance to follow the proposed measurement procedure, otherwise measured loudspeaker can be severely damaged. Here we work with high sound pressure. It is recommended that you protect your ears. Please, use professional microphones that linearly transduce large sound pressure.

Figure 3.11 shows measurement setup. A loudspeaker is driven by power amplifier that is connected to the soundcard left output channel. Power amplifier has volume control. Output from the loudspeaker is recorded by microphone and soundcard left input channel. Power amplifier output voltage, scaled by resistive voltage divider (R2/ (R1+ R2)) is recorded using soundcard right input channel. Value of divider resistors depends on power amplifier rating. For 200W amplifiers, that has 40Vrms maximum output voltage we can use divider with R1=3900 ohms and R2 = 100ohms, and set probe gain of 100/4000=0.025 in Device Setup Right preamplifier gain edit box.

Fig. 3.11 Hardware setup for measurement of distortion-limited levels

Figure 3.12 'Distortion Limited Levels' measurement window

User has to set the testing sine frequency, THD limit (in %), level step (0.5, 1, 1.5 or 2 dB) and adjust maximum dynamic range (30, 36, 40 or 46 dB) for chosen power amplifier. For example, if user choose dynamic range of 30 dB then testing will be done for soundcard output levels from -31 to -1 dBFS. Before the measurement, user is responsible to adjust power amplifier volume control so that generator level of -31 dBFS gives power amplifier output voltage that is 31 dB (or 35.5 times) lower that amplifier maximum voltage, i.e. for 200 W amplifier with maximum output rms voltage of 40 V user have to set volume control to obtain 40/35, 5 = 1.12Vrms at amplifier output when generator level is -31dBFS. For this purpose, user can use dialog box Measurement Setup as level controlled sine signal generator.

If user does not set amplifier volume control properly, there is a chance of pushing power amplifier output to clipping. If STEPS works in dual channel mode, the clipping is checked and reported to user.

Window ’Distortion Limited Levels’ has following controls:

Measurement channels section:

SPL channel - chooses the microphone input channel

Measure excit. voltage - check to record power amplifier output, and detect amplifier clipping

Sampling rate (Hz) - chooses the current sampling frequency.

Excitation sine voltage range section:

THD limit (%) - enters distortion threshold

Start freq. (Hz) - enters starting lowest frequency

Stop freq. (Hz) - enters highest frequency

Freq. resolution – chooses fractional octave frequency increment in one measurement step

Level step (dB) - chooses magnitude increment in one measurement step

Dynamic range (dB) - chooses maximum dynamic range for level testing (30, 36, 40 or 46 dB)

Power reduction factor (2-1000) - enters number in the range 2 to 1000, which represents the ratio of the duration of generated signal + pause and duration of generated signal in one step. It is proportional the ratio of peak signal power during signal generation to total output signal power.

Integration constants section:

Transient time (ms) – enters transient time, as time necessary to reach the steady state condition (integration time is always approximately equal to 200ms).

Bottom buttons:

Record - starts or stops measurements.

B/W - changes background color to black or white.

Copy - copies graph to clipboard.

Setup - opens the dialog for Graph setup

Overlay - opens the dialog for overlay manipulations

Thick pen - sets pen style to draw thick lines.
Thick grid - sets pen style to draw thick grid.
Cancel - closes the window and discards current measurement setup

OK - closes the window and saves the current measurement setup

The menu has two items:

File

Open - retrieves data from binary (.spm) file.

Save- saves data in binary (.spm) file.

Export…- saves data in textual files in plain ASCII or Excel CSV format.

Info – shows information about current file.

Edit

B/W – changes graph background color to black or white.

Copy – copies graph to Windows clipboard.

Thick pen - sets pen style to draw thick lines.
Thick grid - sets pen style to draw thick grid.

Scale level – Opens dialog for entering the Scale in dB for shifting the current level

The right mouse click in the graph area (or click on button Setup) opens the dialog box ‘Graph Margins’. It is shown in Fig. 3.13.

Setup of Power reduction factor is very important, as it can save us from burning the loudspeaker. If loudspeaker has declared long term power P and testing will be done with power amplifier that can generate power Pmax, we must set power reduction factor to value Pmax/P. When testing tweeters use even larger power reduction factor. It is best that you assume that tweeter can withstand only 1-2 W of continuous power.

Fig. 3.9 Dialog box Graph Margins

Dialog box ‘Graph Margin’ has ollowing controls:

Frequency range section:

High (Hz) - enters maximum frequency for right graph margin

Low (Hz) - enters minimum frequency for left graph margin

SPL range (dB re 20uPa) section:

Top (dB) - enters top margin in dB for SPL graph

Range (dB) - enters graph range in dB for SPL

Excitation Voltage (dBV) section:

Top (dBV) - enters top margin in dBV for excitation voltage graph

Range (dBV) - enters graph range in dBV for excitation voltage graph

Show excitation voltage - check to show plot of excitation voltage curve in dBV


Content

>

STEPS

Frequency Response Measurements Using Heterodyned Stepped Sine Technique

Ivo Mateljan

Artalabs, J. Rodina 4, 21215 Kastel Luksic, Croatia

User Manual

Version 1.9.7.

December, 2023.

Copyright © Ivo Mateljan, 2004 - 2023. All rights reserved.

Содержание

1 Introduction (введение)

1.1 Requirements (требования к системе)
1.2 Measurement Hardware Setup (настройка измерительного оборудования)
1.3 Heterodyned Measurement of Sine Response (теория о гетеродинном измерении)
2 Using STEPS for Stepped-sine Testing (тестирование частотной характеристики)
2.1 STEPS Menus (меню)
2.2 Audio Devices Setup (настройка аудио устройств)
2.3 Sound Card and Microphone Calibration (калибровка и компенсация)
2.4 Measurement Setup (настройка измерений)
2.5 Measurement Procedures (процедура измерения)
2.6 Overlays (наложение)
2.7 File manipulations (манипуляции с файлами)
2.8 Graph Setup (настройки графиков)
2.9 Percentage Distortion Plot (искажения в процентах)
2.10 The Time Record (осциллограмма)

3 Using STEPS for Stepped-amplitude Testing (тестирование проходной амплитудной характеристики)

3.1 Distortion vs. amplitude (искажения от амплитуды)
3.2 Linearity testing (тест линейности)
3.3 Loudspeaker displacement and distortion testing (искажения от амплитуды смещения динамика)
3.4 Loudspeaker distortion limited maximum SPL (макс. звуковое давление при лимитированных искажениях)